develooper Front page | perl.perl5.porters | Postings from August 2016

[perl #128980] Please backport #126360: MACOSX_DEPLOYMENT_TARGET to5.22[.3]

Thread Previous | Thread Next
From:
Mojca Miklavec
Date:
August 18, 2016 06:24
Subject:
[perl #128980] Please backport #126360: MACOSX_DEPLOYMENT_TARGET to5.22[.3]
Message ID:
rt-4.0.24-12156-1471501431-616.128980-75-0@perl.org
# New Ticket Created by  Mojca Miklavec 
# Please include the string:  [perl #128980]
# in the subject line of all future correspondence about this issue. 
# <URL: https://rt.perl.org/Ticket/Display.html?id=128980 >


Building perl < 5.24 is broken on OS X 10.12. (Partially due to an accidental omission of one library, but it's generally useless to set the target to 10.3 anyway.)

The following patch fixed it:
* http://perl5.git.perl.org/perl.git/commit/53d1d41c81e1de9cc6416dcae828c13d4c5a470a
* https://rt.perl.org/Ticket/Display.html?id=126360
but it is only available in perl5.24 and 5.25.

Can you please backport the patch also to 5.22?

On a related note, why does the code include MACOSX_DEVELOPMENT_TARGET at one place rather than MACOSX_DEPLOYMENT_TARGET?


Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About